;;;-*- Mode: Lisp; -*-
;;; YstokGrid - LispWorks CAPI-based grid widget
;;; Copyright (c) 2003-2013 Dr. Dmitry Ivanov. All rights reserved.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Package definition

(in-package :cl-user)

(defpackage :ystok.grid
 (:use :common-lisp :ystok.library :ystok.widgets)
 (:nicknames :grid)
 (:import-from :capi
  #:choice-interaction)
 (:export
  #:*column*
  #:*confirm-deletions*
  #:*default-press-return*
  #:*grid*
  #:allow-additions
  #:allow-deletions
  #:allow-edits
  #:choice-interaction
  #:cv
  #:add-record
  #:basic-column
  #:call-data-reader
  #:call-data-writer
  #:cell-value
  #:cell-old-value
  #:cell-on-cancel
  #:cell-on-character
  #:cell-on-enter
  #:cell-on-exit
  #:cell-on-update
  #:check-column
  #:col-column
  #:column
  #:column-enabled
  #:column-descriptions
  #:column-name
  #:column-nullable
  #:column-number
  ;#:column-read-only
  #:column-title
  #:column-width
  #:column-width-to-pixels
  #:columns
  #:current-col
  #:current-column
  #:current-record
  #:current-row
  #:delete-record
  #:destroy-filter
  #:do-records
  #:do-selected-records
  #:draw-cell
  #:fetch-grid
  #:focus-grid
  #:filter-by-selection
  #:filter-items
  #:filter-records
  #:filter-state
  #:find-column
  #:find-record
  #:goto-record
  #:grid
  #:grid-confirm-delete
  #:grid-confirm-destroy
  #:grid-on-destroy
  #:gridlines
  #:ground-ncols
  #:help-key
  #:insert-record
  #:invalidate-cell
  #:invalidate-column
  #:invalidate-dependents
  #:invalidate-grid
  #:invalidate-record
  #:left-frozen-ncols
  #:load-grid
  #:logical<
  #:logical>
  #:make-column
  #:make-records-toolbar
  #:name
  #:ncols
  #:new-record
  #:nrows
  #:nullable<
  #:nullable>
  #:nullable-char<
  #:nullable-char>
  #:nullable-string-greaterp
  #:nullable-string-lessp
  #:operate-on-cell
  #:operate-on-cell-p
  #:operate-on-grid
  #:operate-on-grid-p
  #:pinboard
  #:record
  #:record-auto-p
  #:record-filled-p
  #:record-new-p
  #:record-on-change
  #:record-on-delete
  #:record-on-enter
  #:record-on-exit
  #:record-on-insert
  #:record-on-revert
  #:record-on-update
  #:record-data
  #:*record-image-set* #:record-image-set
  #:record-plist
  #:record-p
  #:record-row-number
  #:records-menu
  #:records-toolbar
  #:revert-cell
  #:revert-record
  #:reverse-sorting
  #:row-height
  #:row-record
  #:save-record
  #:select-section
  #:selected-records
  #:set-cell-value
  #:show-enable-column
  #:sorted-grid
  #:sort-records
  #:text-column
  #:text-display-column
  #:toggle-filter
  #:unhide-column
  #:unload-grid
  #:with-columns
  #:wipe-grid
  #:ygrid
  .
  #-ys-product ()
  #+ys-product
  (#:cell-popup-menu-items
   #:completion-column
   #:file-column
   #:quick-filter-pane
   #:restore-preferences
   #:save-preferences
   #:text-choice-column
   #:text-option-column
   #:zoomable-check-column

   ;; ystok-local-time
   #:time<
   #:time>
   #:date-column
   #:date-interval-column
   #:time-interval-lessp
   #:time-interval-greaterp)))

(pushnew :ygrid *features*)
