;;;-*- Mode: Lisp; Encoding: (win32:code-page :id 1251) -*-
;;; YstokGrid - LispWorks CAPI-based grid widget
;;; Copyright (c) 2003-2013 Dr. Dmitry Ivanov. All rights reserved.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Russian translations of hard-wired strings

(in-package :ystok.grid)

(defnative "Record"	#+Russian "")
(defnative "of "	#+Russian " ")
(defnative "of ~d"	#+Russian " ~d")

#|(defnative "LEFT-CLICK on this header to select the entire column"
           "--   -   ")
(defnative "LEFT-CLICK on this header to select the entire row"
           "--   -   ")|#

;;; Menu and toolbars

(defnative "Commands and operations on grid elements."
           "     .")

(defnative "No completion for ~s."
           "   ,   ~s.")
(defnative "Choose one of the cell text completions:"
           "    :")

(defnative "Records"		"")
(defnative "Go to record..."	"   ...")
(defnative "Enter record number:"
           "  :")
(defnative "Enter record number and press ENTER to go there."
           "     ENTER    .")
(defnative "Delete record"	" ")
(defnative "If there are selected records, delete them; otherwise delete the current record."
           "   ,  ,    .")
(defnative "Save record"	" ")
(defnative "Revert record"	" ")
(defnative "Reset all the record cells to pre-edit values."
           "    ,        .")

(defnative "New record"		" ")
(defnative "New before current"	"  ")
(defnative "Insert a new blank record just before the current."
           "     .")
(defnative "Paste append"	"    ")
(defnative "Create new records from the contents of the system clipboard."
           "      (clipboard)     .")


(defnative "Sort ascending"	"  ")
(defnative "Sort descending"	"  ")
(defnative "Filter by selection" "  ")
(defnative "Filter by selection (in accumulative manner)."
           "       , ..  .")
(defnative "Toggle filter on/off"	"/ ")
(defnative "Destroy filter"		" ")
(defnative "Select current record"	"  ")
(defnative "Select all records"		"  ")

;;; Conditions and restarts

(defnative "(Cancel) Revert to editing the previous cell at row ~d column ~s."
           "()    :  ~d  ~s.")
(defnative "Ignore last modifications made to the cell."
           "    .")
(defnative "(Cancel) Ignore toggling the check cell at row ~d column ~s."
           "()   :  ~d  ~s.")

(defnative "(Cancel) Revert to editing row ~d."
           "()     ~d.")
(defnative "Ignore problems with updating record."
           "    .")

(defnative "(Cancel) Abort deletion of row ~d."
           "()    ~d.")
(defnative "(Cancel) Abort bulk deletion."
           "()     .")

(defnative "(Cancel) Abort record insertion."
           "()   .")

(defnative "Cannot go to record ~a."
           "   ~a  .")

(defnative "Column ~s is not found in grid~@[ '~a'~]."
           " ~s    ~@[ '~a'~].")

(defnative "Column ~s is not nullable - cell value is required."
           "   ~s    .")

(defnative "Sorting predicate is not defined for column ~s."
           "  ~s    .")

(defnative "Column ~s within grid~@[ '~a'~] is read-only."
           " ~s ~@[ '~a'~]    .")

(defnative "Record additions are not allowed within grid~@[ '~a'~]."
           "    ~@[ '~a'~] .")

(defnative "Record edits are not allowed within grid~@[ '~a'~]."
           "   ~@[ '~a'~] .")

(defnative "Record deletions are not allowed within grid~@[ '~a'~]."
           "   ~@[ '~a'~] .")

;;; Confirmations

(defnative "Do you really want to delete the current record~@[~%from '~a' ~]?"
           "     ~@[~%  '~a' ~]?")

(defnative "Do you really want to delete selected records~@[~%from '~a' ~]?"
           "     ~@[~%   '~a' ~]?")

(defnative "Do you really want to revert the current record~@[~%of '~a'~] to saved version?"
           "     ~@[~% '~a'~],   ?")

;;; Searcher

(defnative "Find in table"	"  ")
(defnative "Find in column"	"  ")
(defnative "&Find what:"	"&:")
(defnative "&Match:"		"&:")
(defnative "Whole cell"		" ")
(defnative "Any part of cell"	"  ")
(defnative "Start of cell"	" ")
(defnative "'Any part' or 'Start of cell' means text comparison."
           "' '  ''    .")
(defnative "Di&rection:"	"&:")
(defnative "Up"			"")
(defnative "Down"		"")
(defnative "Match &case"	"  &")
(defnative "Search &all columns" " & ")
(defnative "From top"		"  ")
(defnative "From bottom"	"  ")
(defnative "Make difference between uppercase and lowercase."
           "    .")
(defnative "Start next search from the very top or bottom row."
           "         .")

(defnative "Find &next"		"& ")
(defnative "No match found in column '~a'."
           "      '~a'.")

(defnative "Cannot search in the column of this type!"
           "   ()   !")
(defnative "Empty search string matches any text."
           "      -    .")
(defnative "For ordinary (two-state) check column the empty string does not match anything."
           "  ()        .")
(defnative "Enter 'no', 'false', or '0' to find unchecked rows.
Enter another non-empty pattern to find checked rows."
           " '', '', 'no', 'false'  '0',     .
    \"\"   .")
(defnative "Empty string matches mixed-value/undetermined rows."
           "  \"\"     ( ).")
