;;;-*- Mode: Lisp; -*-
;;; YstokGrid - LispWorks CAPI-based table (datasheet) widget
;;; Copyright (c) 2003-2013 Dr. Dmitry Ivanov. All rights reserved.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; ASDF or ASDlite system definition (thanks to Edi Weitz)

(in-package :cl-user)

#-(and lispworks capi)
(error "This code can only run on LispWorks CAPI.")

(require "selection-mode")
;(require "delete-selection")		; optional
;(require "selection-mode")		; optional

(asdf:defsystem ygrid
  ;:name "YstokGrid"			; actually ignored by asdf
  :author "Dmitry Ivanov"
  :maintainer "Dmitry Ivanov"
  :licence "Lessor Lisp General Public License, see file COPYING.txt"
  :description "CAPI-based grid widget for LispWorks"
  :long-description "YstokGrid is a CAPI-based grid widget for LispWorks.

The grid provides convenient GUI environment for working with
data in tabular form.  The main design purpose was to present
RDBMS records in rows.  You can edit in place, add, or delete
records.  YstokGrid can be included into any CAPI interface
window as an ordinary pane."
  :depends-on (ystok-library
               ywidgets
               #+local-time ystok-local-time)
  :components
  ((:file "grid-package")
   (:module "lang" :depends-on ("grid-package")
    :components
    (#+Russian (:file "ru")
     #+(and ys-product Russian) (:file "product-ru")))
   (:file "basics" :depends-on ("grid-package" "lang"))
   (:file "core" :depends-on ("basics"))
   (:file "pinboard" :depends-on ("core"))
   (:file "column-header" :depends-on ("core"))
   (:file "row-header" :depends-on ("core"))
   (:file "check-column" :depends-on ("core"))
   (:file "text-column" :depends-on ("core"))
   #+ys-product (:file "buttoned-column" :depends-on ("text-column"))
   #+ys-product (:file "popup-column" :depends-on ("buttoned-column"))
   #+ys-product (:file "editing-pane-column" :depends-on ("popup-column"))
   (:file "utils" :depends-on ("core"))
   (:file "sorted-grid" :depends-on ("column-header" "check-column" "text-column"
                                     #+ys-product "popup-column"
                                     #+ys-product "editing-pane-column"))
   (:file "searcher" :depends-on ("column-header" "check-column" "text-column"
                                  #+ys-product "popup-column"
                                  #+ys-product "editing-pane-column"))
   (:file "toolbars" :depends-on ("sorted-grid" "searcher"))
   #+ys-product (:file "ys-product" :depends-on ("column-header"
                                                 "row-header"
                                                 "check-column"
                                                 "text-column"
                                                 "searcher"))
   #+(and ys-product local-time)
		(:file "grid-local-time" :depends-on ("popup-column"
                                                      #+local-time :local-time))
   #+ys-product (:file "record-clipboard" :depends-on ("toolbars" "ys-product"))
   #+ys-product (:file "zoom" :depends-on ("record-clipboard"))
   #+ys-product (:file "menus" :depends-on ("zoom"))
   #+ys-product (:file "datasheet" :depends-on ("toolbars" "ys-product"))
   #+ys-product (:file "formulary" :depends-on ("datasheet"))))

;(asdf:operate 'asdf:load-op 'ygrid)
